计算管理/虚拟机相关接口
PUTVM Related Interfaces起始版本 0.6同步需要认证
设置虚拟机SSH Key
设置虚拟机SSH Key
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
setvmsshkeyObject必填setvmsshkey 请求体结构
SshKeyString必填SSH键。
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/vm-instances/{uuid}/actions
/zstack/v1/vm-instances/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/vm-instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvmsshkey":{"SshKey":"<SshKey>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "a9ac797c56ef3f3cbf507ae40aec4f27", "name": "Test-VM", "description": "web server VM", "zoneUuid": "2e70982580653273908fb2d9119c6f39", "clusterUuid": "d528e795695c3160bdf263e14fa1457b", "imageUuid": "e4682534b58436e1b485b9551d0feae7", "hostUuid": "a6d8de59ab5837adaef38c9f80609011", "lastHostUuid": "0fd913e716e83b029d22cff8eccd9ca0", "instanceOfferingUuid": "5509f4e5355e36629d7e8467a27bd67f", "rootVolumeUuid": "f7e96fc9d7413cd2b5aaf6099b66a8e1", "platform": "Linux", "defaultL3NetworkUuid": "016e9ab79d383faa941b37f9b3e7f2da", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8589934592, "cpuNum": 1, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Stopped", "vmNics": [ { "uuid": "2c2dffad4d8c3f51a693ac77c0ce61ce", "vmInstanceUuid": "a9ac797c56ef3f3cbf507ae40aec4f27", "usedIpUuid": "9e59064f42813027940517780bb7c4d9", "l3NetworkUuid": "016e9ab79d383faa941b37f9b3e7f2da", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0, "state": "enable", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "f7e96fc9d7413cd2b5aaf6099b66a8e1", "name": "Root-Volume-For-VM-a9ac797c56ef3f3cbf507ae40aec4f27", "primaryStorageUuid": "0155f19398db3bfdafebfd3b5f2f70cf", "vmInstanceUuid": "a9ac797c56ef3f3cbf507ae40aec4f27", "diskOfferingUuid": "a6479afc6363359aa38a76235a2ff1d2", "rootImageUuid": "e4682534b58436e1b485b9551d0feae7", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-f7e96fc9d7413cd2b5aaf6099b66a8e1/f7e96fc9d7413cd2b5aaf6099b66a8e1.qcow2", "type": "Root", "format": "qcow2", "size": 107374182400, "actualSize": 21474836480, "deviceId": 0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }变更历史
此 API 暂无变更历史记录。
